package kz.arta.synergy.workflow.mobile.android.works.models;

import java.util.List;

/**
 * Created by neox on 19.04.14.
 * Для отправки работы/документа по маршруту
 */
public class SendWorkData {

    /**
     * Имя работы
     */
    private String name;

    /**
     * Время завершения
     */
    private String finishDate;

    /**
     * Ответственный
     */
    private String resUserID;

    /**
     * Исполнители
     */
    private List<String> users;

    /**
     * UUID формы завершения
     */
    private String completionFormID;

    /**
     * Тип операции (согласование/утверждение/ознакомление/перепоручение)
     */
    private String type;

    /**
     * UUID работы по которой запускается маршрут
     */
    private String workID;

    /**
     * UUID документа по которому запускается маршрут
     */
    private String documentID;

    public String getResUserID() {
        return resUserID;
    }

    public void setResUserID(String resUserID) {
        this.resUserID = resUserID;
    }

    public String getWorkID() {
        return workID;
    }

    public void setWorkID(String workID) {
        this.workID = workID;
    }

    public String getCompletionFormID() {
        return completionFormID;
    }

    public void setCompletionFormID(String completionFormID) {
        this.completionFormID = completionFormID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getUsers() {
        return users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }

    public String getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(String finishDate) {
        this.finishDate = finishDate;
    }

    public String getDocumentID() {
        return documentID;
    }

    public void setDocumentID(String documentID) {
        this.documentID = documentID;
    }
}
